Sentiment of a text (overall and per sentence)
Scores how positive or negative the text is. Returns an overall label and compound score (-1 to 1), the positive/neutral/negative breakdown, and a score for every sentence.
Request
JSON object. Required: text.
Request Body
Edit the values below to test different scenarios.
Parameters and body structure are inherited from this endpoint's definition. Changes here only apply to this test run.
1curl --request POST \
2 --url https://text-analysis.p.apihiver.com/v1/sentiment \
3 --header 'Accept: application/json' \
4 --header 'Content-Type: application/json' \
5 --header 'X-API-Key: YOUR_API_KEY' \
6 --data '{
7 "text": "I love this product, it is great!"
8}'Sentiment of a text (overall and per sentence): Text Analysis API reference
Scores how positive or negative the text is. Returns an overall label and compound score (-1 to 1), the positive/neutral/negative breakdown, and a score for every sentence. This endpoint is part of the Text Analysis API: Sentiment, keywords, extractive summaries, readability scores and text statistics for English text — one simple JSON call each.
Sentiment of a text (overall and per sentence): example requests in every language
POST /v1/sentiment in Shell (cURL)
curl --request POST \
--url https://text-analysis.p.apihiver.com/v1/sentiment \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--data '{
"text": "I love this product, it is great!"
}'POST /v1/sentiment in Shell (HTTPie)
echo '{
"text": "I love this product, it is great!"
}' | \
http POST https://text-analysis.p.apihiver.com/v1/sentiment \
Accept:application/json \
Content-Type:application/json \
X-API-Key:YOUR_API_KEYPOST /v1/sentiment in Shell (Wget)
wget --quiet \
--method POST \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--body-data '{\n "text": "I love this product, it is great!"\n}' \
--output-document \
- https://text-analysis.p.apihiver.com/v1/sentimentPOST /v1/sentiment in Node.js (http)
const http = require('https');
const options = {
method: 'POST',
hostname: 'text-analysis.p.apihiver.com',
port: null,
path: '/v1/sentiment',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({text: 'I love this product, it is great!'}));
req.end();POST /v1/sentiment in Node.js (Request)
const request = require('request');
const options = {
method: 'POST',
url: 'https://text-analysis.p.apihiver.com/v1/sentiment',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: {text: 'I love this product, it is great!'},
json: true
};
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});POST /v1/sentiment in Node.js (Unirest)
const unirest = require('unirest');
const req = unirest('POST', 'https://text-analysis.p.apihiver.com/v1/sentiment');
req.headers({
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
});
req.type('json');
req.send({
text: 'I love this product, it is great!'
});
req.end(function (res) {
if (res.error) throw new Error(res.error);
console.log(res.body);
});POST /v1/sentiment in Node.js (Axios)
const axios = require('axios').default;
const options = {
method: 'POST',
url: 'https://text-analysis.p.apihiver.com/v1/sentiment',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
data: {text: 'I love this product, it is great!'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/sentiment in Node.js (Fetch)
const fetch = require('node-fetch');
const url = 'https://text-analysis.p.apihiver.com/v1/sentiment';
const options = {
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: '{"text":"I love this product, it is great!"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/sentiment in JavaScript (XMLHttpRequest)
const data = JSON.stringify({
text: 'I love this product, it is great!'
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener('readystatechange', function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open('POST', 'https://text-analysis.p.apihiver.com/v1/sentiment');
xhr.setRequestHeader('Content-Type', 'application/json');
xhr.setRequestHeader('Accept', 'application/json');
xhr.setRequestHeader('X-API-Key', 'YOUR_API_KEY');
xhr.send(data);POST /v1/sentiment in JavaScript (Axios)
import axios from 'axios';
const options = {
method: 'POST',
url: 'https://text-analysis.p.apihiver.com/v1/sentiment',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
data: {text: 'I love this product, it is great!'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/sentiment in JavaScript (Fetch)
const url = 'https://text-analysis.p.apihiver.com/v1/sentiment';
const options = {
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: '{"text":"I love this product, it is great!"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}POST /v1/sentiment in JavaScript (jQuery)
const settings = {
async: true,
crossDomain: true,
url: 'https://text-analysis.p.apihiver.com/v1/sentiment',
method: 'POST',
headers: {
'Content-Type': 'application/json',
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
processData: false,
data: '{\n "text": "I love this product, it is great!"\n}'
};
$.ajax(settings).done(function (response) {
console.log(response);
});POST /v1/sentiment in Python (http.client)
import http.client
conn = http.client.HTTPSConnection("text-analysis.p.apihiver.com")
payload = "{\n \"text\": \"I love this product, it is great!\"\n}"
headers = {
'Content-Type': "application/json",
'Accept': "application/json",
'X-API-Key': "YOUR_API_KEY"
}
conn.request("POST", "/v1/sentiment", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))POST /v1/sentiment in Python (Requests)
import requests
url = "https://text-analysis.p.apihiver.com/v1/sentiment"
payload = { "text": "I love this product, it is great!" }
headers = {
"Content-Type": "application/json",
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())POST /v1/sentiment in PHP (cURL)

POST /v1/sentiment in Swift (NSURLSession)
import Foundation
let headers = [
"Content-Type": "application/json",
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
]
let parameters = ["text": "I love this product, it is great!"] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://text-analysis.p.apihiver.com/v1/sentiment")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()POST /v1/sentiment in Objective-C (NSURLSession)
#import <Foundation/Foundation.h>
NSDictionary *headers = @{ @"Content-Type": @"application/json",
@"Accept": @"application/json",
@"X-API-Key": @"YOUR_API_KEY" };
NSDictionary *parameters = @{ @"text": @"I love this product, it is great!" };
NSData *postData = [NSJSONSerialization dataWithJSONObject:parameters options:0 error:nil];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://text-analysis.p.apihiver.com/v1/sentiment"]
cachePolicy:NSURLRequestUseProtocolCachePolicy
timeoutInterval:10.0];
[request setHTTPMethod:@"POST"];
[request setAllHTTPHeaderFields:headers];
[request setHTTPBody:postData];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *dataTask = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"%@", error);
} else {
NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
NSLog(@"%@", httpResponse);
}
}];
[dataTask resume];POST /v1/sentiment in Kotlin (OkHttp)
val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"text\": \"I love this product, it is great!\"\n}")
val request = Request.Builder()
.url("https://text-analysis.p.apihiver.com/v1/sentiment")
.post(body)
.addHeader("Content-Type", "application/json")
.addHeader("Accept", "application/json")
.addHeader("X-API-Key", "YOUR_API_KEY")
.build()
val response = client.newCall(request).execute()POST /v1/sentiment in C (libcurl)
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://text-analysis.p.apihiver.com/v1/sentiment");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Accept: application/json");
headers = curl_slist_append(headers, "X-API-Key: YOUR_API_KEY");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"text\": \"I love this product, it is great!\"\n}");
CURLcode ret = curl_easy_perform(hnd);POST /v1/sentiment in Clojure (clj-http)
(require '[clj-http.client :as client])
(client/post "https://text-analysis.p.apihiver.com/v1/sentiment" {:headers {:X-API-Key "YOUR_API_KEY"}
:content-type :json
:form-params {:text "I love this product, it is great!"}
:accept :json})POST /v1/sentiment in OCaml (CoHTTP)
open Cohttp_lwt_unix
open Cohttp
open Lwt
let uri = Uri.of_string "https://text-analysis.p.apihiver.com/v1/sentiment" in
let headers = Header.add_list (Header.init ()) [
("Content-Type", "application/json");
("Accept", "application/json");
("X-API-Key", "YOUR_API_KEY");
] in
let body = Cohttp_lwt_body.of_string "{\n \"text\": \"I love this product, it is great!\"\n}" in
Client.call ~headers ~body `POST uri
>>= fun (res, body_stream) ->
(* Do stuff with the result *)POST /v1/sentiment in R (httr)
library(httr)
url <- "https://text-analysis.p.apihiver.com/v1/sentiment"
payload <- "{\n \"text\": \"I love this product, it is great!\"\n}"
encode <- "json"
response <- VERB("POST", url, body = payload, add_headers('X-API-Key' = 'YOUR_API_KEY'), content_type("application/json"), accept("application/json"), encode = encode)
content(response, "text")POST /v1/sentiment in PowerShell (Invoke-WebRequest)
$headers=@{}
$headers.Add("Content-Type", "application/json")
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-WebRequest -Uri 'https://text-analysis.p.apihiver.com/v1/sentiment' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"text": "I love this product, it is great!"
}'POST /v1/sentiment in PowerShell (Invoke-RestMethod)
$headers=@{}
$headers.Add("Content-Type", "application/json")
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-RestMethod -Uri 'https://text-analysis.p.apihiver.com/v1/sentiment' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"text": "I love this product, it is great!"
}'POST /v1/sentiment in HTTP (HTTP/1.1)
POST /v1/sentiment HTTP/1.1
Content-Type: application/json
Accept: application/json
X-Api-Key: YOUR_API_KEY
Host: text-analysis.p.apihiver.com
Content-Length: 49
{
"text": "I love this product, it is great!"
}Example response (200, application/json)
Success.
1{
2 "score": 0.8622,
3 "breakdown": {
4 "neutral": 0.368,
5 "negative": 0,
6 "positive": 0.632
7 },
8 "sentences": [
9 {
10 "score": 0.8622,
11 "sentence": "I love this product, it is great!",
12 "sentiment": "positive"
13 }
14 ],
15 "sentiment": "positive"
16}Errors
- 400 — A required parameter is missing or a value has the wrong format.
1{ 2 "error": { 3 "code": "INVALID_INPUT", 4 "message": "text: Field required" 5 } 6}
Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.